## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check
%global debug_package %{nil}
# lower memory usage on 32-bit
# shorten test duration on aarch64
# https://github.com/klauspost/compress/issues/532
%ifarch aarch64 armv7hl i686
%global gotestflags -short %{gotestflags}
%endif

# https://github.com/klauspost/compress
%global goipath         github.com/klauspost/compress
Version:                1.17.7

%gometa -L

%global common_description %{expand:
This package is based on an optimized Deflate function, which is used by
gzip/zip/zlib packages.

It offers slightly better compression at lower compression settings, and up to
3x faster encoding at highest compression level.}

%global golicenses      LICENSE snappy/LICENSE snappy/xerial/LICENSE\\\
                        s2/LICENSE gzhttp/LICENSE
%global godocs          SECURITY.md README.md snappy/CONTRIBUTORS\\\
                        snappy/README.md snappy/AUTHORS\\\
                        snappy/xerial/README.md dict/README.md\\\
                        huff0/README.md s2/README.md gzhttp/README.md\\\
                        zstd/README.md fse/README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Optimized Go Compression Packages

License:        Apache-2.0 AND BSD-3-Clause AND MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Tue Feb 27 2024 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.17.7-3
- upload sources

* Tue Feb 27 2024 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.17.7-2
- regenerate spec with go2rpm 1.11.0

* Tue Feb 27 2024 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.17.7-1
- update to 1.17.7 (rhbz#2262905)

* Fri Feb 02 2024 Dominik Mierzejewski <dominik@greysector.net> - 1.17.5-1
- update to 1.17.5 (resolves rhbz#2252612)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 19 2023 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.17.3-1
- update to 1.17.3 (resolves rhbz#2244230)

* Sun Sep 24 2023 Dominik Mierzejewski <dominik@greysector.net> - 1.17.0-1
- update to 1.17.0 (resolves rhbz#2239571)

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 05 2023 Dominik Mierzejewski <dominik@greysector.net> - 1.16.7-1
- update to 1.16.7 (resolves rhbz#2219429)

* Sat Jun 17 2023 Dominik Mierzejewski <dominik@greysector.net> - 1.16.6-1
- update to 1.16.6 (resolves rhbz#2214844)

* Wed Apr 19 2023 Dominik Mierzejewski <dominik@greysector.net> - 1.16.5-1
- update to 1.16.5 (resolves rhbz#2184873)

* Wed Mar 15 2023 Dominik Mierzejewski <dominik@greysector.net> - 1.16.3-1
- update to 1.16.3 (resolves rhbz#2173454)

* Mon Jan 30 2023 Dominik Mierzejewski <dominik@greysector.net> - 1.15.15-1
- update to 1.15.15 (resolves rhbz#2163033)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 04 2023 Dominik Mierzejewski <dominik@greysector.net> - 1.15.14-1
- update to 1.15.14 (resolves rhbz#2158109)

* Tue Dec 13 2022 Dominik Mierzejewski <dominik@greysector.net> - 1.15.13-1
- update to 1.15.13 (fixes rhbz#2152433)

* Fri Dec 09 2022 Dominik Mierzejewski <dominik@greysector.net> - 1.15.12-1
- update to 1.15.12 (fixes rhbz#2138045)

* Tue Oct 18 2022 Dominik Mierzejewski <dominik@greysector.net> - 1.15.11-1
- update to 1.15.11 (#2129755)

* Sat Sep 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.15.10-1
- Update to 1.15.10 - Close: rhbz#2109640

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Dominik Mierzejewski <dominik@greysector.net> - 1.15.8-1
- update to 1.15.8 (resolves rhbz#2102791)

* Fri Jun 10 2022 Dominik Mierzejewski <dominik@greysector.net> - 1.15.6-1
- update to 1.15.6 (resolves rhbz#2093484)

* Wed May 18 2022 Dominik Mierzejewski <dominik@greysector.net> - 1.15.4-1
- update to 1.15.4 (resolves rhbz#2079020)

* Sat Mar 12 2022 Dominik Mierzejewski <dominik@greysector.net> - 1.15.1-1
- update to 1.15.1 (#2039936)
- shorten test duration to avoid timeouts on aarch64

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 17 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.13.6-1
- update to 1.13.6 (#2004452)

* Fri Sep 03 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.13.5-1
- update to 1.13.5 (#1999392)

* Thu Aug 19 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.13.4-1
- update to 1.13.4 (#1989312)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 25 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.13.1-1
- update to 1.13.1 (#1971825)

* Tue Jun 08 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.13.0-1
- update to 1.13.0 (#1967788)
- drop obsolete patch

* Thu May 27 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.12.3-1
- update to 1.12.3 (#1964804)

* Sat May 22 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.12.2-1
- update to 1.12.2 (#1954254)
- drop upstreamed patch

* Mon Apr 19 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.12.1-1
- update to 1.12.1 (#1943520)
- upstream unbundled snappy, add BR
- increase test timeout to prevent timeouts on aarch64

* Wed Mar 24 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.11.12-1
- update to 1.11.12 (#1933210)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 2021 Dominik Mierzejewski <rpm@greysector.net> - 1.11.7-1
- update to 1.11.7 (#1916508)

* Fri Jan  8 00:18:08 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.11.6-1
- Update to 1.11.6
- Close: rhbz#1913944

* Sun Jan  3 11:30:56 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.11.4-1
- Update to 1.11.4
- Close: rhbz#1909545

* Mon Nov 16 2020 Dominik Mierzejewski <rpm@greysector.net> - 1.11.3-1
- update to 1.11.3 (#1897991)

* Mon Nov 02 2020 Dominik Mierzejewski <rpm@greysector.net> - 1.11.2-1
- update to 1.11.2 (#1892279)

* Mon Oct 05 2020 Dominik Mierzejewski <rpm@greysector.net> - 1.11.1-1
- update to 1.11.1 (#1884436)

* Thu Sep 10 2020 Dominik Mierzejewski <dominik@greysector.net> - 1.11.0-1
- update to 1.11.0 (#1876973)

* Wed Aug 19 2020 Dominik Mierzejewski <dominik@greysector.net> - 1.10.11-1
- update to 1.10.11 (#1868730)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.10-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 18 2020 Dominik Mierzejewski <dominik@greysector.net> - 1.10.10-1
- update to 1.10.10 (#1850299)

* Wed Jun 17 2020 Dominik Mierzejewski <dominik@greysector.net> - 1.10.9-1
- update to 1.10.9 (#1838747)

* Thu Apr 30 2020 Dominik Mierzejewski <dominik@greysector.net> - 1.10.5-1
- update to 1.10.5 (#1826957)

* Thu Apr 09 2020 Dominik Mierzejewski <dominik@greysector.net> - 1.10.4-1
- update to 1.10.4 (#1804486)

* Sun Feb 16 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.10.0-1
- Update to latest version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 04 2019 Dominik Mierzejewski <dominik@greysector.net> - 1.9.4-1
- update to 1.9.4 (#1765428)
- drop upstream patch (merged)
- use upstream-suggested flags for gotest to lower memory usage

* Wed Dec 04 2019 Dominik Mierzejewski <dominik@greysector.net> - 1.9.3-1
- update to 1.9.3 (#1765428)
- fix failing test on i686

* Thu Oct 10 2019 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 1.8.6-1
- Update to 1.8.6 (#1760526)

* Wed Oct 02 2019 Dominik Mierzejewski <dominik@greysector.net> - 1.8.5-1
- update to 1.8.5 (#1757636)
- drop obsolete patches

* Fri Sep 27 2019 Dominik Mierzejewski <dominik@greysector.net> - 1.8.4-1
- update to 1.8.4 (#1742049)
- backport upstream patch for 32-bit arches
- increase zstd encoder_test timeout (times out on ARM)

* Wed Jul 24 23:24:20 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.7.2-1
- Release 1.7.2

* Mon Apr 29 01:02:13 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.7.0-1
- Release 1.7.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 1.2.1-4
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Apr 11 2018 Dominik Mierzejewski <dominik@greysector.net> - 1.2.1-2
- fix end-of-line encoding in README.md
- build as archful due to assembly usage on x86_64

* Mon Mar 26 2018 Dominik Mierzejewski <dominik@greysector.net> - 1.2.1-1
- initial package for Fedora

## END: Generated by rpmautospec
